package com.oqpo.api.enums;

import lombok.Getter;
import lombok.Setter;

public enum PushMessage {

    PUSH_REQ("PO", "매장 발주 요청건이 들어왔습니다."), //
    PUSH_RTN("RTN", "매장 반품 요청건이 들어왔습니다."), //
    ;

    PushMessage(String cd, String nm) {
        this.cd = cd;
        this.name = nm;
    }

    @Getter
    @Setter
    private String cd;

    @Getter
    @Setter
    private String name;

    public static String getName(String ccd) {
        PushMessage[] values = PushMessage.values();
        for (PushMessage icd : values) {
            if (icd.cd.equals(ccd)) {
                return icd.name;
            }
        }
        return ccd;
    }

}
